<div class="m-2">
  <div class="form-floating mb-2">
    <Input @value={{@presentation.name}} id="{{this.elementId}}-name" @type="text" class="form-control page-name" />
    <label for="{{this.elementId}}-name">{{capitalize (t "name")}}</label>
  </div>

  <div class="form-floating mb-3">
    <Input @value={{@presentation.slug}} id="{{this.elementId}}-slug" @type="text" class="form-control page-slug" />
    <label for="{{this.elementId}}-slug">{{capitalize (t "slug")}}</label>
  </div>

  {{#if this.hasSlugWithVariable}}
    <div class="form-floating mb-2">
      <Input @value={{this.modeId}} id="{{this.elementId}}-model-id" @type="text" class="form-control input-model-id" />
      <label for="{{this.elementId}}-model-id">{{capitalize (t "example model id")}}</label>
    </div>
  {{/if}}

  <hr />
  <Manage::Toggle
    @title={{t "is public"}}
    @id="{{this.elementId}}-toggle-is-public"
    class="chk-visibility"
    @disabled={{@disabled}}
    @value={{@presentation.visibility.isPublic}}
    @onSave={{fn this.saveToggle "visibility.isPublic"}}
  />
  <Manage::Toggle @title={{t "show intro"}} @id="{{this.elementId}}-toggle-has-intro" class="chk-has-intro" @disabled={{@disabled}} @value={{@presentation.hasIntro}} @onSave={{fn this.saveToggle "hasIntro"}} />

  {{#if @presentation.hasIntro}}
    <div class="form-floating mb-3">
      <Input @value={{@presentation.introTimeout}} @type="text" id="{{this.elementId}}-intro-timeout" class="form-control input-intro-timeout" />
      <label for="{{this.elementId}}-intro-timeout">{{capitalize (t "intro timeout (milliseconds)")}}</label>
    </div>

    <div class="mb-2">
      <label>{{capitalize (t "cover")}}</label>
      <div>
        <Input::PictureAuto @disable365={{true}} @value={{@presentation.cover}} @save={{this.coverChanged}} @model="Presentation" @modelId={{@presentation.id}} />
      </div>
    </div>
  {{/if}}

  <Manage::Toggle @title={{t "show end slide"}} @id="{{this.elementId}}-toggle-has-end" class="chk-has-end" @disabled={{@disabled}} @value={{@presentation.hasEnd}} @onSave={{fn this.saveToggle "hasEnd"}} />
</div>